搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

此討論串已經關閉並封存。 如果您有需要幫助,請新增一個新問題

Videos won't play in Nightly

  • 8 回覆
  • 2 有這個問題
  • 526 次檢視
  • 最近回覆由 vhradice

more options

I installed Nightly hoping to be able to play videos. It worked for a while but has recently stopped. I have a screen shot with the error and the version of nightly. I am running Fedora 64 bit with the updates installed.

附加的畫面擷圖

被選擇的解決方法

I switched to Nightly in order to watch videos because the version of FF that I had installed would not play videos. I have since updated my default FF and it now plays videos. Now tha I can watch videos in the installed version, I will stop using Nightly. To me the problem has been solved - stop using Nightly. I don't know what you intend to do with this thread but I will not be watching it any more.

Close it as unsolved if you want.

Vincent Radice

從原來的回覆中察看解決方案 👍 1

所有回覆 (8)

more options

Does this happen with all videos or does the YouTube website work ?

Does the Web Console show media related messages ?

Can you post a link to a publicly accessible page (i.e. no authentication or signing on required) ?

more options

Nightly worked for a while but recently quit. I just now restarted Nightly as it had been updated. I tried a Youtube video and it would not play. I opened Help in Nightly and took a screenshot of the error message and the version of Nightly. It is attached.

Opened Web Console and here is the error message from it

Cannot play media. No decoders for requested formats: video/webm; codecs="vp09.02.51.10.01.09.16.09", video/mp4; codecs="avc1.42001E", video/webm; codecs="vp9", audio/mp4; codecs="mp4a.40.2", audio/webm; codecs="opus", video/mp4; codecs="avc1.42001E mp4a.40.2" watch

Web page causing problem

https://www.youtube.com/watch?v=2OhndNJYnbc

more options

Make sure you have the latest FFmpeg/libavcodec packages installed.

more options

I have the latest versions installed. Here is the dnf info on the packages referenced. root@Vince2 vince]# dnf list ffmpeg* Last metadata expiration check: 0:01:12 ago on Wed 26 Feb 2020 12:07:11 AM EST. Installed Packages ffmpeg.x86_64 1:4.2.2-3.fc30 ffmpeg-libs.x86_64 1:4.2.2-3.fc30 Available Packages ffmpeg-devel.i686 4.1.5-1.fc30 ffmpeg-devel.x86_64 1:4.2.2-3.fc30 ffmpeg-libs.i686 4.1.5-1.fc30 ffmpegthumbnailer.i686 2.2.2-2.fc30 ffmpegthumbnailer.x86_64 2.2.2-2.fc30 ffmpegthumbnailer-devel.i686 2.2.2-2.fc30 ffmpegthumbnailer-devel.x86_64 2.2.2-2.fc30 ffmpegthumbs.x86_64 18.12.3-1.fc30 [root@Vince2 vince]# dnf list libav* Last metadata expiration check: 0:01:45 ago on Wed 26 Feb 2020 12:07:11 AM EST. Installed Packages libavc1394.i686 0.5.4-10.fc30 libavc1394.x86_64 0.5.4-10.fc30 libavdevice.x86_64 1:4.2.2-3.fc30 Available Packages libavc1394-devel.i686 0.5.4-10.fc30 libavc1394-devel.x86_64 0.5.4-10.fc30 libavdevice.i686 4.1.5-1.fc30

more options
more options

I tried to find libavcodec and it is not available as a separate package. From what I found it is included with ffmpeg

more options

Do you check that you have current libavcodec packages/libraries installed ?

Do these videos play in other Firefox versions like release and beta ?


You can create a new profile to test if your current profile is causing the problem.

See "Creating a profile":

If the new profile works then you can transfer files from a previously used profile to the new profile, but be cautious not to copy corrupted files to avoid carrying over problems.

more options

選擇的解決方法

I switched to Nightly in order to watch videos because the version of FF that I had installed would not play videos. I have since updated my default FF and it now plays videos. Now tha I can watch videos in the installed version, I will stop using Nightly. To me the problem has been solved - stop using Nightly. I don't know what you intend to do with this thread but I will not be watching it any more.

Close it as unsolved if you want.

Vincent Radice